%define upstream_name    Mojolicious-Plugin-PPI
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Mojolicious Plugin for Rendering Perl Code Using PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(PPI::HTML)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
the Mojolicious::Plugin::PPI manpage is a the Mojolicious manpage plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.70.0-7.mga10
+ Revision: 2207785
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.70.0-6.mga9
+ Revision: 1817235
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-5.mga8
+ Revision: 1495639
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-4.mga7
+ Revision: 1269579
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1030307
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 966024
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 839278
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 749906
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 685485
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 632901
- update to 0.06

* Fri Feb 07 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 585281
- update to 0.05

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 525248
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.30.0-1.mga4
+ Revision: 432615
- Add BRs
- New version 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 370039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 169285
- imported package perl-Mojolicious-Plugin-PPI


* Sat Nov 19 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
